## serialdv 1.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(serialdv)

set(MAJOR_VERSION 1)
set(MINOR_VERSION 1)
set(PATCH_VERSION 4)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
set(VERSION ${VERSION_STRING})

include(GNUInstallDirs)
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}") # "lib" or "lib64"

option(BUILD_TOOL "Build dvtest tool" ON)

# use, i.e. don't skip the full RPATH for the build tree
set(CMAKE_SKIP_BUILD_RPATH  FALSE)

# use c++11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# when building, don't use the install RPATH already
# (but later on when installing)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

#list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Compiler flags.
if(WIN32)
  add_definitions(-D__WINDOWS__)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall ${EXTRA_FLAGS}")
else()
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -O2 -ffast-math -ftree-vectorize ${EXTRA_FLAGS}")
endif()

set(serialdv_SOURCES
  datacontroller.cpp
  dummydatacontroller.cpp
  dvcontroller.cpp
)

set(serialdv_HEADERS
  serialdv_export.h
  datacontroller.h
  dummydatacontroller.h
  dvcontroller.h
)

if (NOT APPLE)
    set(serialdv_SOURCES
        ${serialdv_SOURCES}
        serialdatacontroller.cpp
        udpdatacontroller.cpp
    )
    set(serialdv_HEADERS
        ${serialdv_HEADERS}
        serialdatacontroller.h
        udpdatacontroller.h
    )
endif()

include_directories(
    ${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_library(serialdv SHARED
    ${serialdv_SOURCES}
)

if(BUILD_TOOL AND NOT WIN32)
add_executable(dvtest
    dvtest.cpp
)

target_include_directories(dvtest PUBLIC
    ${PROJECT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

set_target_properties(serialdv PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})

target_link_libraries(dvtest serialdv)

install(TARGETS dvtest DESTINATION bin)
endif(BUILD_TOOL AND NOT WIN32)

install(TARGETS serialdv LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${serialdv_HEADERS} DESTINATION include/${PROJECT_NAME})

=== debian/changelog ===
serialdv (1.1.4-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jan 2022 12:16:30 +0100

serialdv (1.1.4-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Sun, 16 Feb 2020 12:55:05 +0100

=== debian/control ===
Source: serialdv
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 12),
Standards-Version: 4.5.0
Homepage: https://github.com/f4exb/serialDV
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/serialdv
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/serialdv.git

Package: libserialdv1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: encode and decode audio with AMBE3000 devices
 SerialDV is a C++ minimal interface to encode and decode audio with AMBE3000
 based devices in packet mode over a serial link.

Package: libserialdv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libserialdv1 (= ${binary:Version}),
 ${misc:Depends},
Description: encode and decode audio with AMBE3000 devices (headers)
 SerialDV is a C++ minimal interface to encode and decode audio with AMBE3000
 based devices in packet mode over a serial link.
 .
 This package contains the header files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

#override_dh_auto_test:
#	cd obj-* && ./cm256_rx && ./cm256_tx && ./cm256_test

=== debian/watch ===
version=4
https://github.com/f4exb/serialDV/tags .*/v(.*).tar.gz

## serialdv 1.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.17.0)
 
 project(serialdv)
 
 set(MAJOR_VERSION 1)
 set(MINOR_VERSION 1)
-set(PATCH_VERSION 4)
+set(PATCH_VERSION 5)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 set(VERSION ${VERSION_STRING})

=== debian/changelog ===
serialdv (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5.
  * Compatible with cmake 4.2. (Closes: #1125588)

 -- Christoph Berg <myon@debian.org>  Sat, 17 Jan 2026 19:35:51 +0100
